:root {
    /* Primary */
    --color-primary-900: #A72A28;
    --color-primary-300: #CA7D7C;
    /* Secondary */
    --color-secondary-900: #0A72BA;
    --color-secondary-300: #74A9D6;
    /* Neutral */
    --color-neutral-900: #0C0C20;
    --color-neutral-800: #1E1E1E;
    --color-neutral-600: #686868;
    --color-neutral-300: #AEAEAE;
    --color-neutral-200: #E8E8E8;
    --color-neutral-100: #F6FAF9;
    --color-neutral-0: #FFFFFF;
    /* Liner*/
    --liner-primary: linear-gradient(90.22deg, #821715 0%, #C72421 70%);
    /* Shadows */
    --shadow-lg: 0px 4px 8px rgba(0, 0, 0, 0.15); /* Opacity 15% */
    --shadow-md: 0px 4px 8px rgba(0, 0, 0, 0.10); /* Opacity 10% */
    --shadow-sm: 0px 2px 4px rgba(0, 0, 0, 0.10); /* Opacity 10% */
    /* Fonts */
    --font-highlight: "Playfair Display", serif;
    --font-body: "Roboto", sans-serif;
    --scroll-bar: 8px;
}

.breadcrumb {
    display: flex;
    align-items: center;
    gap: 8px;
    padding-bottom: 16px;
    border-bottom: 1px solid var(--color-neutral-200);
    margin-bottom: 0;
}

.detail-page__category {
    font: 500 16px/149% var(--font-body);
    color: var(--color-primary-900);
    text-transform: uppercase;
    margin: 0;
    padding: 0;
}

.detail-page__content {
    padding-top: 32px;
    display: grid;
    column-gap: 24px;
    grid-template-columns: 74.52% 1fr;
    grid-template-rows: auto;
}

.side-bar {
    grid-column: 2/3;
    grid-row: 1/3;
}

.detail-page__slider {
    position: absolute;
    top: -32px;
    left: -72px;
    height: 100%;
}

.pin-box {
    display: flex;
}

    .pin-box > *:nth-last-child(n+2) {
        margin-right: 8px;
    }

.pin-box__item {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #0C0C204D;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.pin-box__icon {
    width: 24px;
    height: 24px;
}

.pin-box--verticle {
    flex-direction: column;
    align-items: center;
}

.pin-box--sticky {
    position: sticky;
    top: 80px;
}

.pin-box--verticle > * {
    margin-right: 0 !important;
}

    .pin-box--verticle > *:nth-last-child(n+2) {
        margin-bottom: 16px;
    }

/* Main Article */
.main-article {
    position: relative;
}

    .main-article > *:nth-child(n+3):nth-last-child(n+2) {
        margin-bottom: 24px;
    }

    /*.main-article br {
        display: none;
    }*/

.main-article__title {
    font: 800 48px var(--font-highlight);
    color: var(--color-neutral-800);
    margin-bottom: 16px;
}

.main-article__description {
    font: 700 18px var(--font-body);
}

.main-article__content {
    font-size: 18px;
    font-family: var(--font-body);
}

    .main-article__content > *:nth-last-child(n+2) {
        margin-bottom: 24px;
    }

.main-article__content p:empty,
.main-article__content p:has(> br:only-child) {
    display: none !important;
} 

    .main-article__content p{
        font-size: 18px !important;
        font-family: var(--font-body) !important;
    }

    .main-article__content span {
        font-size: 18px !important;
        font-family: var(--font-body) !important;
    }

/* Relate News */
.relate-news {
    background-color: var(--color-neutral-100);
    border-radius: 4px;
    padding: 16px;
}

    .relate-news > *:nth-child(n+2):nth-last-child(n+2) {
        border-bottom: 1px dashed var(--color-neutral-200);
        padding-bottom: 8px;
        margin-bottom: 8px;
    }

.relate-news__block-title {
    font: 500 16px var(--font-body);
    color: var(--color-primary-900);
    margin-bottom: 16px;
    text-transform: uppercase;
}

.relate-news__item {
    display: flex;
}

.relate-news__icon {
    width: 9px;
    height: 9px;
    margin-right: 8px;
    margin-top: 8px;
}

.relate-news__title {
    flex: 1;
    font: 500 16px var(--font-body);
    color: var(--color-neutral-800);
    margin-bottom: 0;
}

/* Tag */
.tag-wrapper {
    display: flex;
}

.tag-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    color: var(--color-neutral-800);
    margin-bottom: 0;
}

    .tag-list > *:nth-last-child(n+2) {
        margin-right: 16px;
    }

.tag-wrapper__headlight {
    font: 700 18px var(--font-body);
    margin-right: 16px;
}

.tag-wrapper__item {
    font: 500 16px var(--font-body);
}
/* Author */
.author {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;
}

.author__wrapper {
    display: flex;
    align-items: center;
}

.author__text {
    font-size: 16px;
    font-family: var(--font-body);
    margin-bottom: 0;
}

.author__text--bold {
    font-weight: 700;
    margin-top: 0px;
}

.author__text--sm {
    font-size: 12px;
}

.author__text--medium {
    font-size: 18px;
}

.author__avatar {
    width: 58px;
    height: 58px;
    border-radius: 50%;
    overflow: hidden;
    border: 1px solid var(--color-primary-900);
    margin-right: 8px;
}

.author__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Side Content */
.side-bar {
    grid-column: 2/3;
    position: relative;
}

.side-bar__track {
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.side-bar__slider {
    /* height: fit-content; */
    position: sticky;
    top: 80px;
}

    .side-bar__slider > *:nth-last-child(n+2) {
        padding-bottom: 24px;
    }
/* Side Banner */
.side-bar__side-banner {
    width: 100%;
    background-color: #65A7D5;
    border-radius: 2px;
    overflow: hidden;
    padding-bottom: 0px !important;
    margin-bottom: 24px !important;
}

    .side-bar__side-banner a {
        display: block;
        width: 100%;
        height: 100%;
        line-height: 0;
    }

.side-bar__side-banner-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Most View */
.most-view__list {
    margin-top: 16px;
}

.most-view__item {
    display: flex;
}

    .most-view__item:nth-last-child(n+2) {
        border-bottom: 1px dashed var(--color-neutral-200);
        padding-bottom: 16px;
        margin-bottom: 16px;
    }

.most-view__count {
    position: relative;
    width: 44px;
}

.most-view__headlight {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    font: 400 72px/149% "Pacifico";
    color: var(--color-neutral-200);
}

.most-view__info {
    margin-left: 16px;
    flex: 1;
}

.most-view__title {
    font: 500 16px/149% var(--font-body);
    color: var(--color-neutral-800);
    margin-bottom: 8px;
}

.most-view__post-time {
    font: 400 12px/149% var(--font-body);
    color: var(--color-neutral-600);
    text-align: end;
    margin-bottom: 0;
}
/* Same Category */
.same-category {
    margin: 24px 0 32px;
}

.same-category__list {
    margin-top: 16px;
}

    .same-category__list > *:nth-last-child(n+2) {
        margin-bottom: 16px;
        padding-bottom: 16px;
        border-bottom: 1px dashed var(--color-neutral-200);
    }

.same-category__item {
    display: flex;
}

.same-category__image-wrapper {
    width: 26.13%;
    margin-right: 16px;
}

.same-category__info {
    flex: 1;
}

.same-category__title {
    font: 500 16px var(--font-body);
    margin-bottom: 8px;
}

.same-category__description {
    font-size: 16px;
    margin-bottom: 0;
    font-family: var(--font-body);
    color: var(--color-neutral-600);
}
/* Widget */
.mobile-content {
    display: none;
}

.section-header__title {
    font-size: 24px !important;
}

.entry-img img{
    width: 100%;
}

.lg-backdrop {
    z-index: 9999;
}

.lg-outer {
    z-index: 9999;
}

.main-article__content a {
    color: #A72A28;
    text-decoration: underline; 
}

figure.image figcaption, figure.image figcaption * {
    /*background-color: #F0F0F0 !important;*/
    font-size: 15px !important;
    font-family: var(--font-body) !important;
}

@media only screen and (max-width:996px) {
    .mobile-content {
        display: flex;
    }

    .detail-page__slider,
    .side-bar__side-banner {
        display: none;
    }

    .detail-page__content {
        padding-top: 16px;
        column-gap: 0;
        grid-template-columns: 1fr;
    }

    .same-category {
        grid-column: 1/2;
        grid-row: 2/3;
    }

    .side-bar {
        grid-column: 1/2;
        grid-row: 3/4;
    }

    .side-bar__track {
        position: static;
    }

    .main-article__title {
        font-weight: 700;
        font-size: 32px;
    }

    .main-article > *:nth-child(3) {
        margin-bottom: 8px !important;
    }

    .tag-wrapper > *:nth-last-child(n+2) {
        margin-right: 8px;
    }
}

@media only screen and (max-width:576px) {
    .main-article > *:nth-child(3) {
        flex-direction: column-reverse;
        align-items: start;
    }

        .main-article > *:nth-child(3) > * {
            margin-bottom: 8px;
        }

        .main-article > *:nth-child(3) > p {
            font-size: 12px;
        }

    .same-category__image-wrapper {
        min-width: 143px;
        width: 44.82%;
    }

    .same-category__description {
        display: none !important;
    }

    .same-category__title {
        margin-bottom: 0;
    }

    .same-category__more {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 16px;
    }

    .same-category__more-text {
        font: 500 16px var(--font-body);
        text-transform: uppercase;
        color: var(--color-secondary-900);
        margin-right: 8px;
    }

    .same-category {
        margin-bottom: 16px;
    }

    .most-view {
        margin-bottom: 32px;
    }

    .keyword-bar {
        display: none;
    }

    .detail-page {
        margin-top: 16px;
    }
}

.view-gallery img
{
    width: 100%;
}